Package ru.bitel.bgbilling.modules.reports.server.bean

# Class BGReportUtils

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.BGReportUtils

public class BGReportUtils extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BGReportUtils.Report`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGReportUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addRequestParams(ru.bitel.bgbilling.modules.reports.server.report.BGReport report, jakarta.servlet.http.HttpServletRequest request)`
  Добавление в report параметров отчёта из реквеста.
  `static org.json.JSONArray`
  `getModuleAndPlugin(ModuleSetup moduleSetup, Connection con)`
  `static ru.bitel.bgbilling.modules.reports.server.report.BGReport`
  `getReport(String id, Connection con, Connection conSlave, ModuleSetup moduleSetup, int userId, org.slf4j.Logger log)`
  Возврат инициализированного инстанса отчёта по указанному id, всех типов и конструкций.
  `static List<BGReportUtils.Report>`
  `getReports(String reportModule, Connection con)`
  `static void`
  `resetReportCache()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportUtils

    public BGReportUtils()

- ## Method Details

  - ### getReport

    public static ru.bitel.bgbilling.modules.reports.server.report.BGReport getReport(String id, Connection con, Connection conSlave, ModuleSetup moduleSetup, int userId, org.slf4j.Logger log) throws Exception
    Возврат инициализированного инстанса отчёта по указанному id, всех типов и конструкций. Ид отчёта пример: ru.bitel.bgbilling.plugins.cashcheck_kkm, kernel_contract_reward, custom_debtorReport
    Throws:
      `Exception`

  - ### addRequestParams

    public static void addRequestParams(ru.bitel.bgbilling.modules.reports.server.report.BGReport report, jakarta.servlet.http.HttpServletRequest request)
    Добавление в report параметров отчёта из реквеста.

  - ### getModuleAndPlugin

    public static org.json.JSONArray getModuleAndPlugin(ModuleSetup moduleSetup, Connection con) throws Exception
    Throws:
      `Exception`

  - ### getReports

    public static List<BGReportUtils.Report> getReports(String reportModule, Connection con) throws Exception
    Throws:
      `Exception`

  - ### resetReportCache

    public static void resetReportCache()